package com.yc.ship.module.product.service.pricefloor;

import com.yc.ship.module.product.dal.dataobject.pricefloor.PriceFloorDO;

import java.util.List;

/**
 * 楼层加价设置 Service 接口
 *
 * @author 管理员
 */
public interface PriceFloorService {

    /**
     * 删除楼层加价设置
     *
     * @param id 编号
     */
    void deletePriceFloor(Long id);

    /**
     * 获得楼层加价设置
     *
     * @param id 编号
     * @return 楼层加价设置
     */
    PriceFloorDO getPriceFloor(Long id);

    /**
     * 获取列表
     * @param objectId
     * @return
     */
    List<PriceFloorDO> getListByObjectId(Long objectId);

}